FROM golang:1.11-alpine3.8 as builder
WORKDIR /go/src/git.trj.tw/golang/mtgbot
RUN apk add --no-cache make git \
  && go get -u github.com/otakukaze/go-bindata/...
COPY . .
RUN make

FROM alpine:latest
RUN apk add --no-cache ca-certificates
WORKDIR /data
COPY --from=builder /go/src/git.trj.tw/golang/mtgbot/mtgbot /usr/bin
COPY config.sample.yml config.yml
EXPOSE 10230
CMD ["/usr/bin/mtgbot", "-f", "/data/config.yml", "-dbtool"]
